Users

Get User by ID

GET
/users/{userId}

Get public user information about a specific user using their ID.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

userId*string

Must be a valid user ID.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/users/usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
{
  "acceptedPrivacyVersion": 0,
  "acceptedTOSVersion": 0,
  "accountDeletionDate": "string",
  "accountDeletionLog": [
    null
  ],
  "ageVerificationStatus": "18+",
  "ageVerified": true,
  "allowAvatarCopying": true,
  "appleDetails": {},
  "bannerColor": "3cc92c",
  "bannerType": "string",
  "bannerUrl": "string",
  "date_joined": "2019-08-24",
  "developerType": "internal",
  "displayName": "string",
  "friendKey": "string",
  "friendRequestStatus": "null",
  "iconFrame": "string",
  "iconUrl": "string",
  "id": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "instanceId": "12345~hidden(usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469)~region(eu)~nonce(27e8414a-59a0-4f3d-af1f-f27557eb49a2)",
  "isEconomyCreator": true,
  "isFriend": true,
  "last_activity": "2019-08-24T14:15:22Z",
  "last_login": "2019-08-24T14:15:22Z",
  "last_mobile": "string",
  "last_platform": "standalonewindows",
  "location": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd:12345~hidden(usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469)~region(eu)~nonce(27e8414a-59a0-4f3d-af1f-f27557eb49a2)",
  "nameplateEffect": "string",
  "note": "string",
  "platform": "string",
  "profileEffect": "string",
  "pronouns": "string",
  "state": "active",
  "status": "active",
  "statusDescription": "string",
  "tags": [
    "string"
  ],
  "travelingToInstance": "string",
  "travelingToLocation": "string",
  "travelingToWorld": "string",
  "worldId": "wrld_4432ea9b-729c-46e3-8eaf-846aa0a37fdd"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}

{
  "error": {
    "message": "Calendar Entry not foundǃ",
    "status_code": 404
  }
}